import javaposse.jobdsl.dsl.jobs.MultiJob
import javaposse.jobdsl.dsl.jobs.MultiJob

multiJob('school-GitHub-Pull-Request-Builder') {

  concurrentBuild()
  properties {
       githubProjectUrl('https://github.com/gajendrularamarao/school')
       rebuild {
            autoRebuild(false)
            rebuildDisabled(false)
        }
   }
   logRotator {
        numToKeep(7)
    }
  
      
  scm {
        git {
            remote {
                url('https://github.com/gajendrularamarao/school')
                credentials('github_credential')
                name('origin')
                refspec('+refs/pull/*:refs/remotes/origin/pr/* +refs/heads/master:refs/remotes/origin/master')
            }
            branch('${sha1}')
        }
    }

    steps{
        phase('Pull_Request') {
            phaseJob('school-pr-build'){
                parameters {
                    predefinedProp('REVISION', '$ghprbActualCommit')
                    predefinedProp('PrNo', '$ghprbPullId')
                }
                killPhaseCondition('UNSTABLE')
                abortAllJobs()
                currentJobParameters()
            }
            
            
        }
    }

    

    triggers {
            cron('* * * * *')        
    }
    //This configure block is used to set the gitHubAuthId field which is not made available through the basic DSL
    configure {
        project ->
            (project / triggers / 'org.jenkinsci.plugins.ghprb.GhprbTrigger' / gitHubAuthId).value = 'pr_auth_id'
    }
}
